Skip to main content
GET
/
people
List people
curl --request GET \
  --url https://api.vanta.com/v1/people \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "65e1efde08e8478f143a8ff9",
        "userId": "65e1efde08e8478f143a9001",
        "emailAddress": "example-person@email.com",
        "employment": {
          "endDate": null,
          "jobTitle": "Customer success manager",
          "startDate": "2021-01-01T00:00:00.000Z",
          "status": "CURRENT"
        },
        "leaveInfo": null,
        "groupIds": [
          "5f2c939a52855e725c8d5824"
        ],
        "name": {
          "display": "Example Person",
          "last": "Person",
          "first": "Example"
        },
        "sources": {
          "emailAddress": {
            "integrationId": "gsuiteadmin",
            "resourceId": "660c701d3d344e660b032306",
            "type": "INTEGRATION"
          },
          "employment": {
            "startDate": {
              "integrationId": "gusto",
              "resourceId": "660c70783d344e660b032323",
              "type": "INTEGRATION"
            },
            "endDate": {
              "integrationId": "gusto",
              "resourceId": "660c70783d344e660b032323",
              "type": "INTEGRATION"
            }
          }
        },
        "tasksSummary": {
          "completionDate": null,
          "dueDate": "2021-12-01T00:00:00.000Z",
          "status": "OVERDUE",
          "details": {
            "completeTrainings": {
              "taskType": "COMPLETE_TRAININGS",
              "status": "COMPLETE",
              "dueDate": "2021-12-01T00:00:00.000Z",
              "completionDate": "2021-11-01T00:00:00.000Z",
              "disabled": {
                "date": "2021-11-01T00:00:00.000Z",
                "reason": "Training Vanta tests have been disabled for this person"
              },
              "incompleteTrainings": [
                {
                  "name": "Security training 1"
                },
                {
                  "name": "Security training 2"
                }
              ],
              "completedTrainings": [
                {
                  "name": "Security training 3"
                },
                {
                  "name": "Security training 4"
                }
              ]
            },
            "acceptPolicies": {
              "taskType": "ACCEPT_POLICIES",
              "status": "COMPLETE",
              "dueDate": "2021-12-01T00:00:00.000Z",
              "completionDate": "2021-11-01T00:00:00.000Z",
              "disabled": null,
              "unacceptedPolicies": [
                {
                  "name": "Policy 1"
                },
                {
                  "name": "Policy 2"
                }
              ],
              "acceptedPolicies": [
                {
                  "name": "Policy 3"
                },
                {
                  "name": "Policy 4"
                }
              ]
            },
            "completeCustomTasks": {
              "taskType": "COMPLETE_CUSTOM_TASKS",
              "status": "OVERDUE",
              "dueDate": "2021-12-01T00:00:00.000Z",
              "completionDate": "2021-11-01T00:00:00.000Z",
              "disabled": {
                "date": "2021-11-01T00:00:00.000Z",
                "reason": "Custom task Vanta tests have been disabled for this person"
              },
              "incompleteCustomTasks": [
                {
                  "name": "Custom task 1"
                },
                {
                  "name": "Custom task 2"
                }
              ],
              "completedCustomTasks": [
                {
                  "name": "Custom task 3"
                },
                {
                  "name": "Custom task 4"
                }
              ]
            },
            "completeOffboardingCustomTasks": {
              "taskType": "COMPLETE_CUSTOM_OFFBOARDING_TASKS",
              "status": "COMPLETE",
              "dueDate": "2021-12-01T00:00:00.000Z",
              "completionDate": "2021-11-01T00:00:00.000Z",
              "disabled": null,
              "incompleteCustomOffboardingTasks": [],
              "completedCustomOffboardingTasks": [
                {
                  "name": "Custom offboarding task 1"
                },
                {
                  "name": "Custom offboarding task 2"
                }
              ]
            },
            "installDeviceMonitoring": {
              "taskType": "INSTALL_DEVICE_MONITORING",
              "status": "DUE_SOON",
              "dueDate": "2021-12-01T00:00:00.000Z",
              "completionDate": null,
              "disabled": null
            },
            "completeBackgroundChecks": {
              "taskType": "COMPLETE_BACKGROUND_CHECKS",
              "status": "COMPLETE",
              "dueDate": "2021-12-01T00:00:00.000Z",
              "completionDate": "2021-11-01T00:00:00.000Z",
              "disabled": null
            }
          }
        }
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "65e1efde08e8478f143a8ff9",
      "endCursor": "65e1efde08e8478f143a8ff9"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

tasksSummaryStatusMatchesAny
enum<string>[]

Filter individuals by those whose tasksSummary status is any of the provided values.

The overall status of a person's outstanding tasks:

  • NONE: There are no tasks.
  • DUE_SOON: At least one task is due soon.
  • OVERDUE: At least one task is overdue. Has a higher priority than DUE_SOON.
  • COMPLETE: All tasks are complete.
  • PAUSED: All tasks are paused.
  • OFFBOARDING_DUE_SOON: At least one offboarding task is due soon.
  • OFFBOARDING_OVERDUE: At least one offboarding task is overdue. Has a higher priority than OFFBOARDING_DUE_SOON.
  • OFFBOARDING_COMPLETE: All offboarding tasks are complete.
Available options:
COMPLETE,
DUE_SOON,
NONE,
OFFBOARDING_COMPLETE,
OFFBOARDING_DUE_SOON,
OFFBOARDING_OVERDUE,
OVERDUE,
PAUSED
taskTypeMatchesAny
enum<string>[]

Requires taskStatusMatchesAny. Includes all people for whom any of the provided taskType values in taskTypeMatchesAny is any of the provided taskStatus values in taskStatusMatchesAny.

The type a task summary falls into. COMPLETE_TRAININGS: The task summary containing security trainings. ACCEPT_POLICIES: The task summary containing policy acceptance. COMPLETE_CUSTOM_TASKS: The task summary containing custom tasks. INSTALL_DEVICE_MONITORING: The task summary containing device monitoring installation. COMPLETE_BACKGROUND_CHECKS: The task summary containing background checks.

Available options:
COMPLETE_TRAININGS,
ACCEPT_POLICIES,
COMPLETE_CUSTOM_TASKS,
COMPLETE_CUSTOM_OFFBOARDING_TASKS,
INSTALL_DEVICE_MONITORING,
COMPLETE_BACKGROUND_CHECKS
taskStatusMatchesAny
enum<string>[]

Requires taskTypeMatchesAny. Includes all people for whom any of the provided taskType values in taskTypeMatchesAny is any of the provided taskStatus values in taskStatusMatchesAny.

The status of a task.

  • COMPLETE: The task has been completed.
  • DUE_SOON: The task is due soon.
  • OVERDUE: The task is overdue.
  • NONE: The task is not assigned.
Available options:
COMPLETE,
DUE_SOON,
OVERDUE,
NONE
emailAndNameFilter
string

Filter people by email address, first name, or last name (partial match, case-insensitive).

groupIdsMatchesAny
string[]

Filter people matching any of the given group IDs.

employmentStatus
enum<string>

Filter people matching the given employment status. The employment status of a person:

  • UPCOMING: The person is not yet employed and will start employment in the future.
  • CURRENT: The person is currently employed.
  • ON_LEAVE: The person is on leave.
  • INACTIVE: The person's employment is inactive.
  • FORMER: The person was previously employed.
Available options:
UPCOMING,
CURRENT,
ON_LEAVE,
INACTIVE,
FORMER

Response

200 - application/json

Ok

results
object
required